Skip to main content
`Ctrl`+`K`

# PetscDualSpaceGetInteriorDimension

Get the interior dimension of the dual space, i.e. the number of basis functionals assigned to the interior of the reference domain

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetInteriorDimension(PetscDualSpace sp, PetscInt *intdim)

Not Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameter

- intdim - The dimension

## See Also

`PetscDualSpace`, `PetscDualSpaceGetFunctional()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages